package pl.helion.j2mepp.lokalizator.ws.klient;

import pl.helion.j2mepp.lokalizator.dto.Uzytkownik;

public interface LokalizatorWSService extends java.rmi.Remote {

    /**
     *
     */
    public boolean zarejestruj(String arg0, String arg1, String arg2, String arg3) throws java.rmi.RemoteException;

    /**
     *
     */
    public String zaloguj(String arg0, String arg1) throws java.rmi.RemoteException;

    /**
     *
     */
    public Uzytkownik[] odswiez(String arg0, double arg1, double arg2) throws java.rmi.RemoteException;

    /**
     *
     */
    public Uzytkownik znajdzUzytkownika(String arg0, String arg1) throws java.rmi.RemoteException;

    /**
     *
     */
    public void wyloguj(String arg0) throws java.rmi.RemoteException;

    /**
     *
     */
    public boolean dodajUzytkownika(String arg0, String arg1) throws java.rmi.RemoteException;

}
